net.minecraft.world.gen.layer

## Enum GenLayerEdge.Mode

- java.lang.Object
- - java.lang.Enum<GenLayerEdge.Mode>
  - - net.minecraft.world.gen.layer.GenLayerEdge.Mode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<GenLayerEdge.Mode>
  Enclosing class:
    GenLayerEdge

      public static enum GenLayerEdge.Mode
      extends java.lang.Enum<GenLayerEdge.Mode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COOL_WARM`
    `HEAT_ICE`
    `SPECIAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GenLayerEdge.Mode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static GenLayerEdge.Mode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COOL_WARM

          public static final GenLayerEdge.Mode COOL_WARM

    - #### HEAT_ICE

          public static final GenLayerEdge.Mode HEAT_ICE

    - #### SPECIAL

          public static final GenLayerEdge.Mode SPECIAL

  - ### Method Detail

    - #### values

          public static GenLayerEdge.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GenLayerEdge.Mode c : GenLayerEdge.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GenLayerEdge.Mode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null